package com.muyu.vehicle.event.client.config;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @Author: DongZeLiang
 * @date: 2024/6/14
 * @Description: kafka配置
 * @Version: 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Configuration
@ConfigurationProperties(prefix = "kafka")
public class KafkaConfig {


    /**
     * 主题
     */
    private String topic;

    /**
     * 分区
     */
    private Integer partition;

    public String queueName(){
        return topic + "." + partition;
    }

}
